cdac.medinfo.sdk.hl7282.baselibs

## Class PRL

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.PRL

- All Implemented Interfaces:
    IDataType

      public class PRL
      extends CompositeDataType

  PRL - Parent result link

  This data type identifies the parent result's OBX segment related to the current order, together with the information in OBR-29-parent.

  Represents an HL7 PRL data type. This data type has the following attributes:

  1. Parent Observation Identifier (CWE)Required
  2. Parent Observation Sub-identifier (OG)Optional
  3. Parent Observation Value Descriptor (TX)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PRL()` Default Constructor for PRL
    `PRL(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for PRL class which takes two arguments and sets the value in the respective member variable.
    `PRL(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for PRL class which takes five arguments and sets the value in the respective member variable.
    `PRL(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for PRL class which takes six arguments and sets the value in the respective member variable.
    `PRL(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for PRL class which takes four arguments and sets the value in the respective member variable.
    `PRL(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for PRL class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `CWE` | `getParentObservationIdentifier()` Returns Parent Observation Identifier
    `OG` | `getParentObservationSubidentifier()` Returns Parent Observation Sub-identifier
    `TX` | `getParentObservationValueDescriptor()` Returns Parent Observation Value Descriptor
    `void` | `setParentObservationIdentifier(CWE objParentObservationIdentifier)` Sets the ParentObservationIdentifier.
    `void` | `setParentObservationSubidentifier(OG objOG)` Sets the ParentObservationSubidentifier.
    `void` | `setParentObservationSubidentifier(java.lang.String strParentObservationSubidentifier)` Sets the ParentObservationSubidentifier.
    `void` | `setParentObservationValueDescriptor(java.lang.String strParentObservationValueDescriptor)` Sets the ParentObservationValueDescriptor.
    `void` | `setParentObservationValueDescriptor(TX objTX)` Sets the ParentObservationValueDescriptor.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PRL

          public PRL()

      Default Constructor for PRL

    - #### PRL

          public PRL(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for PRL class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### PRL

          public PRL(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for PRL class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### PRL

          public PRL(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for PRL class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### PRL

          public PRL(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for PRL class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### PRL

          public PRL(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for PRL class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setParentObservationIdentifier

          public void setParentObservationIdentifier(CWE objParentObservationIdentifier)

      Sets the ParentObservationIdentifier.
      Parameters:
        `objParentObservationIdentifier` - Contains the unique identifier of the parent observation as defined in the OBX-3 of the parent result.

    - #### setParentObservationSubidentifier

          public void setParentObservationSubidentifier(java.lang.String strParentObservationSubidentifier)

      Sets the ParentObservationSubidentifier.
      Parameters:
        `strParentObservationSubidentifier` - Contains the sub-ID of the parent result as defined in the OBX-4 of the parent result.

    - #### setParentObservationSubidentifier

          public void setParentObservationSubidentifier(OG objOG)

      Sets the ParentObservationSubidentifier.
      Parameters:
        `objOG` - Contains the sub-ID of the parent result as defined in the OBX-4 of the parent result.

    - #### setParentObservationValueDescriptor

          public void setParentObservationValueDescriptor(java.lang.String strParentObservationValueDescriptor)

      Sets the ParentObservationValueDescriptor.
      Parameters:
        `strParentObservationValueDescriptor` - Contains a descriptor of the parent observation value as specified in the OBX-5 of the parent result.

    - #### setParentObservationValueDescriptor

          public void setParentObservationValueDescriptor(TX objTX)

      Sets the ParentObservationValueDescriptor.
      Parameters:
        `objTX` - Contains a descriptor of the parent observation value as specified in the OBX-5 of the parent result.

    - #### getParentObservationIdentifier

          public CWE getParentObservationIdentifier()

      Returns Parent Observation Identifier
      Returns:
        CWE - data type.

    - #### getParentObservationSubidentifier

          public OG getParentObservationSubidentifier()

      Returns Parent Observation Sub-identifier
      Returns:
        OG - data type.

    - #### getParentObservationValueDescriptor

          public TX getParentObservationValueDescriptor()

      Returns Parent Observation Value Descriptor
      Returns:
        TX - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validetion is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.